%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	Module-Info

Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Information about Perl modules
Name:		perl-%{perlname}
Version:	0.31
Release:	1
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=Module+Info
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}

%description
Information about Perl modules
For more details see: http://www.cpan.org/modules/by-authors/id/M/MB/MBARBON/Module-Info-0.28.readme

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Build.PL destdir=%{buildroot}
./Build destdir=%{buildroot}

%install
rm -Rf %{buildroot}
./Build install destdir=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_bindir
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 02 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.31-1
- Version Update
* Wed May 17 2006 Christian Wasem <wasem@ccux-linux.de> 0.28-3
- Rebuild against perl-5.8.8
* Mon Dec 05 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.28-2
- Rebuild against perl-5.8.7
* Sat Dec 03 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.28-1
- Initial Release  
